> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get matrix status counts with global search filtering

> Get matrix status counts with support for all filters including status, owner, groups, positions, users, dates, favorites, and more. Functionally identical to the counts API but with global search filtering.



## OpenAPI

````yaml post /v1/matrix/global-search/counts
openapi: 3.0.0
info:
  title: Matrix APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/matrix
  - url: https://staging.api.eu.aptlydone.com/matrix
  - url: https://api.us.aptlydone.com/matrix
  - url: https://api.eu.aptlydone.com/matrix
security: []
tags: []
paths:
  /v1/matrix/global-search/counts:
    post:
      tags:
        - matrix
      summary: Get matrix status counts with global search filtering
      description: >-
        Get matrix status counts with support for all filters including status,
        owner, groups, positions, users, dates, favorites, and more.
        Functionally identical to the counts API but with global search
        filtering.
      operationId: MatrixController_getGlobalSearchCounts_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GlobalSearchMatrixCountDto'
      responses:
        '200':
          description: Matrix counts retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatrixStatusCountResponseDtoResponse'
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatrixStatusCountResponseDto'
      security:
        - accessToken: []
components:
  schemas:
    GlobalSearchMatrixCountDto:
      type: object
      properties:
        tenantId:
          type: string
          description: Tenant ID
          example: da332a80-12e9-487b-a5f5-e8c794d0410f
        matrixStatusName:
          description: Comma separated Matrix Status values for matrices list
          example: Active
          type: array
          items:
            type: string
        countStatusName:
          description: Comma separated Matrix Status values for count section
          example: Draft,Archived
          type: array
          items:
            type: string
        search:
          type: string
          description: Search string for matrix name, description, or matrix ID
          example: Investment
        isFavorite:
          type: boolean
          description: Is the Matrix a favorite
          example: true
        groupIds:
          description: Comma separated Group IDs
          example: >-
            e75796e7-f7d7-4cd8-8010-bc6e5ffff626,
            6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee
          type: array
          items:
            type: string
        positionIds:
          description: Comma separated Position IDs
          example: >-
            cdc27151-4abf-4590-b62c-3d524db1c181,
            c42f6b90-eb3b-4c52-84e9-08c1dc5042c8
          type: array
          items:
            type: string
        sectionIds:
          description: Comma separated Section IDs
          example: >-
            8d17bae1-ac8e-4676-b080-489197eb8c1d,
            87ba5cee-d407-4bfb-99a4-5bfabcf8856a
          type: array
          items:
            type: string
        categoryIds:
          description: Comma separated Category IDs
          example: >-
            376a79c5-4a45-4883-a290-8c3a0eface0b,
            c90a7980-e88e-42a6-b4b7-ee2daed33293
          type: array
          items:
            type: string
        matrixSharingType:
          description: Comma separated Matrix Sharing Type values
          example: SHARED
          type: array
          items:
            type: object
        ownerId:
          description: Comma separated Owner User IDs
          example: >-
            8c651e13-611d-414c-92d9-9aff470a31a0,
            49dfa86c-55f2-4152-837f-fc551284439a
          type: array
          items:
            type: string
        userIds:
          description: Comma separated User IDs
          example: >-
            c6df919b-91c2-46c9-96e4-327227e50705,
            e265822b-4d1a-4e06-be86-c87e6749288a
          type: array
          items:
            type: string
        links:
          description: Comma separated Matrix Link
          example: null
          type: array
          items:
            type: string
        decisionsCount:
          description: Decisions count filter
          allOf:
            - $ref: '#/components/schemas/CountFilter'
        delegationsCount:
          description: Delegations count filter
          allOf:
            - $ref: '#/components/schemas/CountFilter'
        selectedMatrixIds:
          description: Comma separated Selected Matrix IDs
          example: >-
            41f5545f-71bb-473b-8eb1-19475a0eb169,
            8d6d9a3e-d772-4800-bb6f-0ae3497da1bc
          type: array
          items:
            type: string
        createdAtStart:
          type: string
          description: Start date for creation date filtering (ISO format)
          example: '2025-01-01T00:00:00.000Z'
        createdAtEnd:
          type: string
          description: End date for creation date filtering (ISO format)
          example: '2025-12-31T23:59:59.999Z'
        updatedAtStart:
          type: string
          description: Start date for last update filtering (ISO format)
          example: '2025-01-01T00:00:00.000Z'
        updatedAtEnd:
          type: string
          description: End date for last update filtering (ISO format)
          example: '2025-12-31T23:59:59.999Z'
        select:
          type: string
          description: Comma separated fields to select in response
          example: id,matrixName,matrixDescription,matrixStatus
        selectedTab:
          type: string
          description: >-
            Selected tab to filter counts and listings (active, inactive,
            favorite, all)
          example: active
          enum:
            - active
            - inactive
            - favorite
            - all
      required:
        - tenantId
    MatrixStatusCountResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:22.023Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/MatrixStatusCountResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    MatrixStatusCountResponseDto:
      type: object
      properties:
        activeCount:
          type: number
          description: Count of matrices marked as active
        inactiveCount:
          type: number
          description: Count of matrices marked as inactive
        favoriteCount:
          type: number
          description: Count of matrices marked as favorite by the user
        allCount:
          type: number
          description: Count of all matrices
      required:
        - activeCount
        - inactiveCount
        - favoriteCount
        - allCount
    CountFilter:
      type: object
      properties:
        minValue:
          type: string
          description: >-
            Minimum value for the applied filter (if "Unlimited", maxValue will
            be ignored)
          example: '1'
        maxValue:
          type: string
          description: Maximum value for the applied filter (supports "Unlimited")
          example: Unlimited
      required:
        - minValue
        - maxValue
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````